# -*- encoding: utf-8 -*-
# stub: timestamp 1.0.2 ruby lib
# stub: ext/timestamp/extconf.rb

Gem::Specification.new do |s|
  s.name = "timestamp".freeze
  s.version = "1.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Matthew Kerwin".freeze]
  s.date = "2013-07-19"
  s.description = "== Time.timestamp\n\nDefines <tt>Time::timestamp</tt> and <tt>Time::unix_timestamp</tt>.\n\nSee the original discussion at {Ruby-Lang}[https://bugs.ruby-lang.org/issues/8096]\n\n:call-seq:\n  Time::timestamp  -> Integer\n\nReturns a nanosecond-precision timestamp from the system's monotonic\nclock. Note that the resolution of the measured time is system-\ndependent (i.e. while the value displayed is always an integer number\nof nanoseconds, the values may not necessarily change in increments of\nexactly one).\n\nThis time value does not correlate to any absolute, real-world time\nsystem; it is only useful for measuring relative (or elapsed) times at\na high granularity.  For example, benchmark measurements.\n\n:call-seq:\n  Time::unix_timestamp  -> Integer\n  Time::unix_time       -> Integer\n\nReturns the current real-world time as a whole number of seconds since\nthe Epoch (1-Jan-1970).\n\n:call-seq:\n  Time::unix_microtime  -> Float\n\nReturns the current real-world time as a floating-point number of\nseconds since the Epoch (1-Jan-1970).\n".freeze
  s.email = ["matthew@kerwin.net.au".freeze]
  s.extensions = ["ext/timestamp/extconf.rb".freeze]
  s.files = ["ext/timestamp/extconf.rb".freeze]
  s.homepage = "http://phluid61.github.com/timestamp-gem/".freeze
  s.licenses = ["ISC License".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Time.timestamp".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake-compiler>.freeze, [">= 0"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rake-compiler>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
  end
end
